<?php

namespace App\RestApi\User\Controllers;


use Schaffen\Core\Person\Repositories\PersonRepository;
use Schaffen\Core\User\Repositories\UserRepository;

class UserPersonController
{

    /**
     * @var PersonRepository
     */
    private $personRepository;
    /**
     * @var UserRepository
     */
    private $userRepository;

    public function __construct(PersonRepository $personRepository, UserRepository $userRepository)
    {
        $this->personRepository = $personRepository;
        $this->userRepository = $userRepository;
    }

    public function show($user_id)
    {
        return optional($this->userRepository->find($user_id, ['person']))->person;
    }
}
