<?php


namespace App\Mobile\Synchronization\Resources;


use Freelabois\LaravelQuickstart\Extendables\Resource;

class SyncOrderItemResource extends Resource
{
    public function toArray($request)
    {
        return [
            "pve_codigo" => $this->produto_variedade_embalagem->pve_codigo ?? null,
            "pro_descricao" =>
                $this->produto_variedade_embalagem->product_variety->product->pro_descricao . ''.
                $this->produto_variedade_embalagem->product_variety->prv_descricao  ?? null, //"pro_descricao + prv_descricao",
            "pvi_quantidade" => $this->pvi_quantidade ??  0,
            "pvi_valor_unitario" => $this->pvi_valor_unitario ??  0,
            "pvi_desconto" => $this->pvi_desconto ??  0,
            "total" => ($this->pvi_quantidade * $this->pvi_valor_unitario) - $this->pvi_desconto, //- total ( (pvi_quantidade * pvi_valor_unitario) - pvi_desconto)( (pvi_quantidade * pvi_valor_unitario) - pvi_desconto)
        ];
    }
}
