<?php


namespace App\RestApi\Product\Resources;


use Freelabois\LaravelQuickstart\Overridden\BaseResource;

class ServiceResource extends BaseResource
{
    public function toArray($request)
    {
        $relationships = [];
        $returnable = [
            "pro_codigo" => $this->pro_codigo ?? null,
            "pro_descricao" => $this->pro_descricao ?? null,
            "pro_fk_prs_codigo" => $this->pro_fk_prs_codigo ?? null,
            "pro_titulo" => $this->pro_titulo ?? null,
            "pro_date_insert" => $this->pro_date_insert ?? null,
            "pro_user_update" => $this->pro_user_update ?? null,
            "pro_date_update" => $this->pro_date_update ?? null,
            "pro_user_insert" => $this->pro_user_insert ?? null,
            "pro_codigo" => $this->pro_codigo ?? null,
            "pro_status" => $this->pro_status ?? null,
            "pro_fk_cla_codigo" => $this->pro_fk_cla_codigo ?? null,
            "pro_fk_pcg_codigo_cred" => $this->pro_fk_pcg_codigo_cred ?? null,
            "pro_fk_pcg_codigo_deb" => $this->pro_fk_pcg_codigo_deb ?? null,
            "pro_fk_mar_codigo" => $this->pro_fk_mar_codigo ?? null,
            "pro_fk_ncm_codigo" => $this->pro_fk_ncm_codigo ?? null,
            "pro_cest" => $this->pro_cest ?? null,
            "pro_servico" => $this->pro_servico ?? null,
            "pro_controla_serial" => $this->pro_controla_serial ?? null,
            "pro_codigo_servico_municipio" => $this->pro_codigo_servico_municipio ?? null,
            "pro_catalogo" => $this->pro_catalogo ?? null,
            "pro_cnae" => $this->pro_cnae ?? null,
            "pro_servico_isento_iss" => $this->pro_servico_isento_iss ?? null,
            "pro_tipo" => $this->pro_tipo ?? null,
            "pro_escala_relevante" => $this->pro_escala_relevante ?? null,
            "pro_descricao_publica" => $this->pro_descricao_publica ?? null
        ];

        $relationships['variedade'] = $this->product_variety ?? [];
        $relationships['atributos'] = $this->product_product_setup_attribute ?? [];
        
        if(count($relationships['atributos']) > 0){
            foreach ($relationships['atributos'] as $atributo) {
                $tipo_atributo = '';
                if($atributo->product_setup_attribute->psa_fk_atr_codigo == -11)
                    $tipo_atributo = 'Código de referência';
                if($atributo->product_setup_attribute->psa_fk_atr_codigo == -12)  
                    $tipo_atributo = 'Código da classificação';
                
                $atributo->tipo_atributo = $tipo_atributo;
            }
        }
        
        return $returnable + $relationships;

    }
}
























