<?php

namespace App\RestApi\ProductionOrder\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UpdateProductionOrderRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        // return [
        //     "st_codigo" => 'required|numeric',
        // ];

        return [
            "op_dta_agendamento" => 'string|present|regex:/[0-9]{4}-[0-9]{2}-[0-9]{2}/',
            "op_hora_agendamento" => 'string|present|regex:/[0-9]{2}\:[0-9]{2}/',
            "op_quantidade" => 'numeric|present',
            "op_observacao" => 'string|nullable'
        ];
    }
}
